%global pkgvers 0
%global scdate0 20241001
%global schash0 75e8f5a0547b68b4ae24434bf52367d6b4479aba
%global branch0 master
%global source0 https://github.com/scikit-learn-contrib/category_encoders.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           python-category_encoders
Version:        2.6.4
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Categorical Encoding Methods
License:        BSD
BuildArch:      noarch

URL:            https://github.com/scikit-learn-contrib/category_encoders

BuildRequires:  python3-devel python3-setuptools git
BuildRequires:  python3-scikit-learn python3-pandas python3-wheel
BuildRequires:  python3-statsmodels python3-scipy python3-patsy

%description
A set of scikit-learn-style transformers for encoding categorical
variables into numeric by means of different techniques.


%package -n     python3-category_encoders
Summary:        %{summary}
Provides:       python-category_encoders

%description -n python3-category_encoders
A set of scikit-learn-style transformers for encoding categorical
variables into numeric by means of different techniques.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%py3_build


%install
%py3_install
rm -rf %{buildroot}%{python3_sitelib}/examples


%files -n python3-category_encoders
%license LICENSE.md
%doc README.md
%doc examples
%{python3_sitelib}/category_encoders/
%{python3_sitelib}/category_encoders-*.egg-info/


%changelog
* Fri Mar 29 2019 Balint Cristian <cristian.balint@gmail.com>
- github upstream releases
